# bps

`bps` is used to keep track of rates

It is intended to be used as such:

    // report on 1, 10, 60 second intervals, update every second
	bw, _ := NewBandwidth([]int{1, 10, 60}, time.Second)
	bw.Add(10)
	b := &bytes.Buffer{}
	b.Write([]byte("helloooooooooooooooooooooooooooooooooooooooooooooo"))
	io.Copy(bw, b)
	time.Sleep(1 * time.Second)
	log.Printf("%+v", bw.Cur())
